#/bin/bash

ISAR=../ISAR-1.0.jar
 
INPUT=`echo POLR3H_Family/*.fasta`

INPUT=${INPUT// /,}

#Compute the ISAR
java -jar $ISAR -in $INPUT -out POLR3H -min_region_seq_id 0.3

#Output the ISAR as pretty-print png
java -cp $ISAR isoformtransfer.isar.Formater -isar POLR3H -out_type png -out_file POLR3H.png -intron_size 8 
