#/bin/bash

ISAR=../ISAR-1.0.jar
 
INPUT=`echo RAB1A_Family/*.fasta`

INPUT=${INPUT// /,}

#Compute the ISAR
java -jar $ISAR -in $INPUT -out RAB1A -min_region_seq_id 0.3

#Output the ISAR as Hasse diagram
java -cp $ISAR isoformtransfer.isar.Formater -isar RAB1A -out_type png_simple -out_file RAB1A_hasse.png


#Output the ISAR as exon-intron projected MSA
java -cp $ISAR isoformtransfer.isar.Formater -isar RAB1A -out_type png -out_file RAB1A.png -intron_size 5

