package lmu.utils;

import java.util.zip.GZIPOutputStream;
import java.io.*;
import java.io.FileOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

public class Gzipper
{

    public File gzip(File in)
    {
        File out = new File(in.getAbsolutePath()+".gz");

        gzip(in,out);
        return out;
    }

    public void gzip(File in, File out)
    {
        try
        {
            FileInputStream fis = new FileInputStream(in);
            byte[] buf = new byte[1024];
            GZIPOutputStream gos = new GZIPOutputStream(new FileOutputStream(out));

            int len=0;
              
              
            while ((len = fis.read(buf)) > 0) 
            {
                gos.write(buf, 0, len);
            }
            fis.close();
            gos.close();
        }
        
        catch(IOException e)
        {
            throw new RuntimeException("error:  "+e.getMessage()+" while gzipping "+in.getAbsolutePath()+" -> "+out.getAbsolutePath());
        }
  
    }
}
