package lmu.utils;

import java.util.*;

public class ReflectedObjectComparator implements Comparator
{
    ReflectedObject ref_obj;
    boolean asc;


    

    public ReflectedObjectComparator(ReflectedObject ref_obj,  boolean asc)
    {
        this.ref_obj=ref_obj;
        this.asc=asc;
        
    }


    public int compare(Object o1, Object o2)
    {
        
        try
        {
            Comparable fo1 = (Comparable)((ref_obj==null)?o1:ref_obj.get(o1));
            Comparable fo2 = (Comparable)((ref_obj==null)?o2:ref_obj.get(o2));
            if (fo1==null || fo2 == null)
            {
                int n1 = (fo1==null)?0:1;
                int n2 = (fo2==null)?0:1;

                return (asc)?n1-n2:n2-n1;
            }
            int v = fo1.compareTo(fo2);
            return (asc)?v:-v;
        }
        catch(Exception iae)
        {
            throw new RuntimeException(iae);
        }
        
        
    }
    
}
