package lmu.utils;

public class SingleIterator<E> implements java.util.Iterator
{
    E e;

    public SingleIterator(E e)
    {
        this.e=e;
    }
    public boolean hasNext()
    {
        return e!=null;
    }

    public E next()
    {
        E rv = e;
        this.e=null;
        return rv;
    }
    public void remove()
    {
        //no need, no sense
    }
}


