package lmu.utils.partialorder;

import java.util.HashSet;
import java.util.Vector;

import lmu.utils.Pair;
import lmu.utils.Region1D;
import lmu.utils.UPair;

public interface RegionMatchInfoGetter<A>
{
    public int getOrder(HashSet<Pair<A,Integer>> n);
    
    public Vector<UPair<Region1D>> getUnMatchedRegions(A a1, A a2);

    public Vector<UPair<Region1D>> getMatchedRegions(A a1, A a2);
}
