package lmu.utils.plotting;

import javax.swing.JFrame;
import java.awt.image.BufferedImage;

public class MultiPicPlaneFrame extends JFrame implements MultiPicPlane
{
    AbstractMultiPicPlane ampp = null;
    public MultiPicPlaneFrame()
    {
        super();
        ampp = new AbstractMultiPicPlane(this, null);

    }

    public BufferedImage getCombinedImage(boolean drawHeader)
    {
        return ampp.getCombinedImage(drawHeader);
    }
    public BufferedImage getCombinedImage()
    {
        return ampp.getCombinedImage(true);
    }
    public void addInfo(HeaderedPicturePane hpp)
    {
        ampp.addInfo(hpp);
    }

    public void update()
    {
        ampp.update();
    }

    public void setPreferredSize(java.awt.Dimension prefSize)
    {
        ampp.setPreferredSize(prefSize);
    
    }
    public void setHidden(HeaderedPicturePane pane, boolean b)
    {
        ampp.setHidden(pane,b);
    }

    public void setAutoSize(int maxx, int maxy)
    {
        
        java.awt.Dimension maxsize = getMaximumSize();
        int prefmax_x=(int)maxsize.getWidth()+30;
        int prefmax_y=(int)maxsize.getHeight()+50;
        setSize(Math.min(prefmax_x,maxx), Math.min(prefmax_y, maxy));
        //ImageUtils.showImage("combined", _plot.getCombinedImage());
        //zpp.setMaximumSize(Math.min((int)maxsize.getWidth()+20, maxx), Math.min((int)maxsize.getHeight()+20, maxy));

    }
}


