package lmu.utils.tuple;

import lmu.utils.*;

public class Tuple3<A,B,C> extends Tuple
{
    public Tuple3()
    {
        super(3);
    }
    protected Tuple3(Object ... objects)
    {
        super(objects);
    }
    public Tuple3(A a, B b, C c)
    {
        super(a,b, c);
    }


    public static<A,B,C> Tuple3<A,B,C> create(A a, B b, C c)
    {
        return new Tuple3<A,B,C>(a,b,c);
    }

    public Tuple3<A,B,C> clone()
    {
        return create(get0(), get1(), get2());
    }

    public A getFirst()
    {
        return (A) get(0);
    }

        
    public B getSecond()
    {
        return (B) get(1);
    }

        

    public C getThird()
    {
        return (C) get(2);
    }

    public A get0()
    {
        return (A) get(0);
    }

        
    public B get1()
    {
        return (B) get(1);
    }

        

    public C get2()
    {
        return (C) get(2);
    }


    public void set0(A a)
    {
        set(0, a);
    }

    public void set1(B b)
    {
        set(1, b);
    }

    public void set2(C c)
    {
        set(2, c);
    }
}
