import os

import sys

if ( len(sys.argv) !=3):
    print "./" + sys.argv[0] + " <fasta> <msf>";
    exit(1);

fasta = sys.argv[1]
msf = sys.argv[2]

seqs = []
o = open(fasta,"r")

length=0;
header = "";
seq ="";
for line in o:
    if ( line.startswith(">")):
        if ( len(header)> 0):
            seqs.append([header,seq]);
        seq="";
        header=line.strip() 
    else:
        seq+=line.strip();
seqs.append([header,seq]);
length=len(seq)

print length
o.close()

o=open(msf,"w")
o.write(fasta + "\n\n\n\n");

o.write("//");
for seq in seqs:
    print len(seq[1])==length
    print seq[1]            
o.close();
