package config;

import java.util.HashMap;

import lmu.utils.ObjectGetter;

public enum Module
{
    SQL("sql", 0),
    ORGXML("orgxml", 0),
    NFS("nfs", 0),

    PATH("path", 1),
    INDEXEDXML("indexedxml", 1),
        
    MAPPING("mapping",2),
    NETWORK("network",2),
    SET("set", 2),
    GO("go", 2),
    DAG("dag", 2),
    PROJECT("project", 2),
    ORGCONF("orgconf", 2),
    EXPDB("expdb", 2),
    PUBMED("pubmed", 2)
    ;


    int prio = 0;
    String name;
    Module(String n, int prio)
    {
        name=n;
        this.prio = prio;

    }
    static HashMap<String, Module> module_names = null;

    public static Module get(String name) {
        
        if ( module_names == null)
        {
            module_names = new HashMap<String, Module>();
            ObjectGetter.apply(Module.values(), (Module m)-> module_names.put(m.name,m));
        }
       
        return module_names.get(name);
    }
}