package isoformtransfer.algo;

import genome.Gene;
import genome.Protein;
import isoformtransfer.InferredExon;

import java.util.Vector;

public interface TransferAlgo extends Cloneable {
    
	public abstract Vector<InferredExon> transfer(Protein protein,String cDNA, String protSeq);
	
	public abstract void setToGene(Gene toGene, String DNA);
	
}
