package lmu.utils;

import java.util.*;

public class CombinationIterator<A> implements Iterator<Vector<A>>
{
    Vector<A> data;
    IncrementableVector iv;

    public CombinationIterator(Vector<A> data)
    {
        this.data = data;
        iv = new IncrementableVector(ObjectGetter.mapIndex(data.size(), (n) -> 2));
        iv.next();
    }

    public boolean hasNext()
    {
        return iv.hasNext();
    }

    public Vector<A> next()
    {
        Vector<Integer> v = iv.next();
        Vector<A> rv = new Vector<>();
        for (int i=v.size() -1, j=0; i >= 0; i--, j++)
        {
            if (v.get(i) == 0)
                continue;
            
            rv.add(data.get(j));
        }
        return rv;
    }
}

