package lmu.utils;

import java.sql.*;

public class EResultSet 
{

    ResultSet rs;

    public EResultSet(ResultSet rs)
    {
        this.rs=rs;
    }
    public Double getDouble(String colname) throws SQLException
    {
        double rv = rs.getDouble(colname);
        if (rs.wasNull())
            return null;
        
        return new Double(rv);
    }
    
    public Double getDouble(int colindex) throws SQLException
    {
        double rv = rs.getDouble(colindex);
        if (rs.wasNull())
            return null;
        
        return new Double(rv);
    }


    public Float getFloat(String colname) throws SQLException
    {
        Float rv = rs.getFloat(colname);
        if (rs.wasNull())
            return null;
        
        return new Float(rv);
    }
    
    public Float getFloat(int colindex)throws SQLException
    {
        Float rv = rs.getFloat(colindex);
        if (rs.wasNull())
            return null;
        
        return new Float(rv);
    }


    public Integer getInteger(String colname) throws SQLException
    {
        Integer rv = rs.getInt(colname);
        if (rs.wasNull())
            return null;
        
        return new Integer(rv);
    }
    
    public Integer getInteger(int colindex) throws SQLException
    {
        Integer rv = rs.getInt(colindex);
        if (rs.wasNull())
            return null;
        
        return new Integer(rv);
    }

    public Long getLong(String colname) throws SQLException
    {
        Long rv = rs.getLong(colname);
        if (rs.wasNull())
            return null;
        
        return new Long(rv);
    }
    
    public Long getLong(int colindex) throws SQLException
    {
        Long rv = rs.getLong(colindex);
        if (rs.wasNull())
            return null;
        
        return new Long(rv);
    }

}
