package lmu.utils;

import java.util.*;

public class EnumGetter
{
    static HashMap<String, HashMap<String, Object> > lookup = new HashMap<String, HashMap<String, Object> >();

    public static void add(String name, Object o)
    {
        
        RuntimeException e = new RuntimeException();
        
        String c = e.getStackTrace()[1].getClassName();
        add(c,name, o);
    }
         
    static void add(String c, String name, Object o)
    {
        //System.err.println("add for "+c+":"+name);
        HashMap<String, Object> m = lookup.get(c);
        if (m==null)
        {
            lookup.put(c,  m= new HashMap<String, Object>());
        }
        m.put(name, o);
    }

    static public<A> A get(String name)
    {
        RuntimeException e = new RuntimeException();
        String c = e.getStackTrace()[1].getClassName();
        return (A)get(c, name, false);
    }
    static public<A>  A get(String name, boolean error_if_missing)
    {
        RuntimeException e = new RuntimeException();
        String c = e.getStackTrace()[1].getClassName();
        return (A)get(c, name, error_if_missing);
    }
    
    static Object get(String c, String name, boolean error_if_missing)
    {
        if (name==null || name.length()==0)
        {
            return null;
        }
        HashMap<String, Object> m = lookup.get(c);
        if (m==null)
        {
            throw new RuntimeException("no lookup is saved for class "+c);
        }
        Object o = m.get(name);
        if (!error_if_missing || o != null)
            return o;
        
        
        throw new RuntimeException("unknown element: "+name+" for class: "+c+" known names are: " + m.keySet());
    }


    public static HashSet<String> getLookups()
    {
        String c=null;
        try
        {
            RuntimeException e = new RuntimeException();
            return getLookups(Class.forName(c=e.getStackTrace()[1].getClassName()));

        }
        catch(ClassNotFoundException e)
        {
            throw new RuntimeException("could not get class for >"+c+"<");
        }
    }
    public static HashSet<String> getLookups(Class c)
    {
        HashMap<String, Object> m = lookup.get(c.getCanonicalName());
        if (m==null)
        {
            throw new RuntimeException("no lookup is saved for class "+c.getName());
        }
        HashSet<String> rv = new HashSet<String>();
        rv.addAll(m.keySet());
        return rv;
    }
}

