package lmu.utils;

import java.io.*;
import java.util.regex.*;

public class FileNamePatternFilter implements FileFilter
{
    public boolean accept(File pathname)
    {
        return p.matcher(pathname.getName()).matches();
    }

    Pattern p = null;

    public FileNamePatternFilter(Pattern p)
    {
        this.p=p;
    }
    public FileNamePatternFilter(String regex)
    {
        p=Pattern.compile(regex);
    }


    public static File[] getMatchingFiles(File dir, String regex)
    {
        return dir.listFiles(new FileNamePatternFilter(regex));
    }

}
