package lmu.utils;

public enum SetOperation
{
    ADD('+', "Extend by the entities of the selected term"),
        //ADDCOMPLEMENT("minus-small.png"),
    SUBSTRACT('-', "Remove the entities of the selected term"),
    INTERSECT('^', "Use only the overlapping entities")

   ;

   public char SETINFO_OPERATOR = ' ';     
   public String info;

   SetOperation(char op, String tooltip)
   {
       SETINFO_OPERATOR = op;
       this.info = tooltip;
   }
    

   public static SetOperation getByOperator(char ch)
   {
       for (SetOperation so : SetOperation.values())
       {
           if (so.SETINFO_OPERATOR == ch)
               return so;
       }

       return null;
   }

}
