package lmu.utils.partialorder;

import lmu.utils.Pair;
import lmu.utils.Region1D;
import lmu.utils.tuple.Tuple3;

class ARegion<A> extends Tuple3<A,Integer,Integer>
{
    ARegion(A a, Region1D r)
    {
        super(a, r.getX1(), r.getX2()-1);
    }
    ARegion(Pair<A,Integer> p)
    {
        this(p.getFirst(), p.getSecond());
    }
    ARegion(A a, int pos)
    {
        super(a, pos, pos);
    }
    public Region1D toRegion()
    {
        return new Region1D(get1(), get2(), null);
    }
}