package lmu.utils.plotting;


import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.beans.*;
import java.util.*;

import javax.swing.*;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.event.*;

import lmu.utils.*;
import lmu.utils.ImageUtils.ImagePanel;


public class AbstractMultiPicPlane  implements 
                        javax.swing.event.ChangeListener, 
                        java.awt.event.ActionListener,
                        PropertyChangeListener,
                        HeaderedPicturePane.ContentInfoListener

{
    
    public void contentChanged(HeaderedPicturePane hpp)
    {
        int hi = -1;
        for (int i=0; i<panes.size(); i++)
        {
            if (panes.get(i)!=hpp)
                continue;
            
            hi=i;
            break;
        }
        update();
    }

    public void mouseClickedOnPane(HeaderedPicturePane hpp, java.awt.event.MouseEvent e)
    {
        int x = e.getX();
        //draw highlight line on all components
        for (int i=0; i<panes.size();i++)
        {
            if(hidden.get(i))
                continue;
            HeaderedPicturePane p = panes.get(i);
            p.drawHighLight(x);
        }
    }
    class IFChangeListener implements ComponentListener
    {
        public void componentResized(ComponentEvent e)
        {
            
            if (_frame == null && _iframe == null)
                return;
            
            
            //System.out.println("\n\n\n\n\n\n");
            //System.out.println("component resized size: "+e.getComponent().getSize());
            Component c = (Component)e.getComponent();
            Container p = AbstractMultiPicPlane.this._component;
            boolean main_comp=false;
            
            while (!main_comp && p!=null)
            {
                if (c==p)
                {
                    main_comp=true;
                    break;
                }
                    

                p=p.getParent();
            }
            if (main_comp && c!=AbstractMultiPicPlane.this._component)
            {
                //System.out.println("if: "+(_iframe!=null)+" parent changed its size: "+c.getSize());
                Dimension parentD = c.getSize(); 
                c.setPreferredSize(new Dimension((int)(parentD.getWidth()-10),(int)parentD.getHeight()));
                return;
            }
            
            if (main_comp)
            {
                //System.out.println("got multipic plane resize from : "+c+ " new size: "+c.getSize()+" max height: "+maxheight);
                int nh = c.getHeight();
                if (maxheight>0)
                {
                    nh = Math.min(nh, (int)c.getSize().getHeight());
                }
                Dimension nd = new Dimension(c.getWidth(), nh);
                //c.setSize();
                setIFSizes();
                /*MultiPicPlane.this.setPreferredSize(nd);
                MultiPicPlane.this.setSize(nd);
                MultiPicPlane.this.setMaximumSize(new Dimension(1500, maxheight));
                */
                return;
            }
            
            /*System.out.println("got compnent resize from fi: "+frames.indexOf(c)+"\n\n"+c+"\n\n\n");
            System.out.println(ExceptionManager.logCallerStack());
            System.out.println("new size: "+c.getSize());
            System.out.println("new pref size: "+c.getPreferredSize());
            System.out.println("max size: "+c.getMaximumSize());
            */
            
            int fi=-1;
            if (0>(fi = frames.indexOf(c)))
                return;
            
            
            

            
            
            
            HeaderedPicturePane hpp = panes.get(fi);
            JInternalFrame jif = (JInternalFrame)c;
            /*jif.setVisible(false);
            panel.updateUI();
            System.out.println("got comp resized..."+e.getComponent().getSize());
            System.out.println("current size: "+jif.getPreferredSize());
            System.out.println("hpp frame size: "+hpp.getMaxFrameDimension());
            System.out.println("min size: "+jif.getMinimumSize());
            System.out.println("max size: "+jif.getMaximumSize());

            Dimension d = new Dimension(jif.getWidth(), c.getHeight());
            jif.setSize(d);
            jif.setPreferredSize(d);
            jif.pack();
            jif.setVisible(true);
            panel.updateUI();
            */
            jif.setPreferredSize(c.getSize());

            //System.out.println("comp resized ready");
            /*
            HeaderedPicturePane hpp = panes.get(fi);
            JInternalFrame jif = (JInternalFrame)c;
            int w = jif.getWidth();
            //int nheight = Math.min((int)c.getSize().getHeight(), (int)c.getPreferredSize().getHeight());
            int nheight=(int)c.getSize().getHeight();
            //int nheight =  (int)c.getPreferredSize().getHeight();
            nheight = Math.min(hpp.getHeight(), nheight);
            int nwidth = Math.min(hpp.getPictureWidth(), w);
            Dimension nd = new Dimension(nwidth,nheight);
            System.out.println("compnent size: "+_component.getSize());
            System.out.println("compnent pref size: "+_component.getSize());
            System.out.println("jif  size: "+jif.getSize());
            System.out.println("jif  pref size: "+jif.getPreferredSize());
            //hpp.setMinimumSize(hpp.getPictureDimension());
            System.out.println("hpp picture  size: "+hpp.getPictureDimension());
            System.out.println("will set new size: "+nd+"\n\n");
            jif.setPreferredSize(nd);
            */
            
        }
    
        /**
         * Invoked when the component's position changes.
         */    
        public void componentMoved(ComponentEvent e)
        {
            Component c = (Component)e.getSource();
            //System.out.println("got moved from : "+c+ " new size: "+c.getSize());

        }
    
        /**
         * Invoked when the component has been made visible.
         */
        public void componentShown(ComponentEvent e)

        {
            Component c = (Component)e.getSource();
            //System.out.println("got shown from : "+c+ " new size: "+c.getSize());
        }
    
        /**
         * Invoked when the component has been made invisible.
         */
        public void componentHidden(ComponentEvent e)
        {
            Component c = (Component)e.getSource();
            //System.out.println("got hidden from : "+c+ " new size: "+c.getSize());
        }
    }
    static class IFListener implements InternalFrameListener
    {
        AbstractMultiPicPlane parent;

        IFListener(AbstractMultiPicPlane parent)
        {
            this.parent=parent;
        }
        public void internalFrameActivated(InternalFrameEvent e)
        {
        }
        public void internalFrameOpened(InternalFrameEvent e)
        {
        }
        public void internalFrameClosing(InternalFrameEvent e)
        {

            parent.frameClosed(e.getInternalFrame());
        }
        public void internalFrameDeactivated(InternalFrameEvent e)
        {
        }
        public void internalFrameClosed(InternalFrameEvent e)
        {
        }
        public void internalFrameIconified(InternalFrameEvent e)
        {
        }
        public void internalFrameDeiconified(InternalFrameEvent e)
        {
        }
    }


    boolean is_setup=false;
    IFListener iflistener = null;
    IFChangeListener ifchange_listener = new IFChangeListener();

    
    public void propertyChange(PropertyChangeEvent evt)
    {
        ///System.out.println("got proprty change: "+evt.getPropertyName()+" setup: "+is_setup);
        if (is_setup)
        {
            return;
        }
        
        if(!evt.getPropertyName().equals(JSplitPane.DIVIDER_LOCATION_PROPERTY))
            return;

        int current = ((JSplitPane)evt.getSource()).getDividerLocation();

        for (HeaderedPicturePane hpp: panes)
        {
            hpp.setDividerLocation(current);
        }
    }
    public void setVisible(boolean a)
    {
        if (a)
        {
            is_setup=true;
        }
        _component.setVisible(a);
    }
    
    public int getNumPanes()
    {
        return panes.size();
    }

    public HeaderedPicturePane getPane(String n)
    {
        return ObjectGetter.first(ObjectGetter.filter(panes, (HeaderedPicturePane hpp) -> hpp.name.equals(n)));
    }
    public HeaderedPicturePane getPane(int i)
    {
        return panes.get(i);
    }

    public BufferedImage getCombinedImage()
    {
        return getCombinedImage(true);
    }
    
    public BufferedImage getCombinedImage(boolean drawHeader)
    {
        int height=0;
        int width=0;
        int header_width=20;

        int max_h_width=0;
        int max_d_width=0;
        for (HeaderedPicturePane hpp : panes)
        {
            height+= hpp.getPictureHeight() + 20;
            max_h_width=Math.max(max_h_width, hpp.getHeaderWidth());
            width=Math.max(width, hpp.getDataWidth());
        }
        BufferedImage bim = ImageUtils.getWhiteImage(max_h_width+width, height);

        Graphics2D g2 = bim.createGraphics();

        int y=0;
        
        for (HeaderedPicturePane hpp : panes)
        {
            if (drawHeader)
            {
                g2.setColor(Color.BLUE);
                g2.fillRect(0, y, bim.getWidth(), y+header_width);
                y+=header_width;
                g2.setColor(Color.WHITE);
                g2.drawString(hpp.getName(),0, y-2);
            }
            g2.drawImage(hpp.getConcatImage(max_h_width), null, 0, y);

            y+=hpp.getPictureHeight();
        }
        g2.dispose();
        return bim;
    }
    
    public void actionPerformed(java.awt.event.ActionEvent e)
    {
        //System.out.println("got event: "+e.getActionCommand());
        int toshow=-1;
        for(int i=0; i<visible_items.size(); i++)
        {
            if(e.getSource()!=visible_items.get(i))
                continue;
            toshow=i;
        }
        if (toshow<0)
            return;
        
        
        hidden.set(toshow,false);
        update();
            
    }
    public void stateChanged(ChangeEvent e)
    {
        
        if (_frame == null && _iframe == null)
            return;
        
        
        if (!(e.getSource() instanceof JViewport))
             return;

         JViewport jv = (JViewport)e.getSource();

         Integer newpos = null;
         for (HeaderedPicturePane hpp : panes)
         {
             
             if(null!=(newpos=hpp.getDataX(jv)))
                 break;
         }
         
         //System.out.println("got  event from : "+jv+" newpos: "+newpos);

         /*if (true)
         {
             return;
         }
         */
         if (newpos==null)
             return;
         
         for (HeaderedPicturePane hpp : panes)
         {
             if (hpp.getDataX(jv)!=null)
                 continue;//source of the change
             
             hpp.scrollDataToX(newpos);
         }

    }
        
        /**
         * Invoked when an internal frame is in the process of being closed.
         * The close operation can be overridden at this point.
         * @see javax.swing.JInternalFrame#setDefaultCloseOperation
         */
        public void frameClosed(JInternalFrame frame)
        {
            //System.out.println("set hidden: "+frame);
            setHidden(frame, true);
            update();
            
            
        }
                    
        Container _component = null;
        JInternalFrame _iframe=null;
        JFrame _frame=null;

        
        Dimension prefsize = null;//new 

        int maxheight=-1;
        public void update()
        {
            /*System.out.println("UPDATE comp size:; "+_component.getSize());
            System.out.println("UPDATE comp pref size:; "+_component.getPreferredSize());
            System.out.println("UPDATE comp size:; "+_component.getSize());
            */
            int maxwidth = 1000;
            if (_component != null)
            {
                
                Dimension pref_dim = new Dimension(
                                (int)Math.max(_component.getSize().getWidth(), _component.getPreferredSize().getWidth()),
                                (int)Math.max(_component.getSize().getHeight(), _component.getPreferredSize().getHeight())
                                );

                //System.out.println("UPDATE pref dicm : "+pref_dim);
                maxwidth=(int)_component.getSize().getWidth()-10;
                if (maxwidth<0)
                {
                    maxwidth=(int)_component.getPreferredSize().getWidth()-10;
                }
                
                if (is_setup)
                {
                    maxwidth=1000;
                }
            }
            /*if (!is_setup)
            {
                pref_dim=_component.getPreferredSize();
            }
            */
            //System.out.println("update invoked:\n"+ExceptionManager.logCallerStack());
            panel = new JPanel();
            
            
            int total_maxwidth=0;
            int total_height=0;
            maxheight=0;
            


            int divloc=0;
            
            BoxLayout layout2 = new BoxLayout(panel, BoxLayout.PAGE_AXIS);
            panel.setAlignmentX(0.0f);
            //java.awt.GridBagLayout layout2 = new java.awt.GridBagLayout();
            //java.awt.GridLayout layout2 = new java.awt.GridLayout(frames.size(), 0);
            

            /*GridBagConstraints gbc = layout2.getConstraints(panel);
            gbc.gridx=0;
            gbc.gridy=0;
            */
            panel.setLayout(layout2);

            //calc pic_width
            int pic_width=0;
            int header_maxw=0;
            int max_pane_width=0;
            for (int i=0; i<panes.size(); i++)
            {
                HeaderedPicturePane hp = panes.get(i);
                max_pane_width=Math.max(max_pane_width, (int)hp.getMaxFrameDimension().getWidth());
                
            }
            
            //System.out.printf("maxw: %d \n", max_pane_width);
            maxwidth=Math.min(maxwidth, max_pane_width);

            //System.out.println("got "+frames.size()+" frames and "+panes.size()+" panes");
            for (int i=0; i<frames.size(); i++)
            {
                
                HeaderedPicturePane hp = panes.get(i);
                divloc=Math.max(divloc, hp.getHeaderWidth());

                
              //  System.out.println(hp.getName()+" divloc: "+hp.getDividerLocation());
                JInternalFrame jif = frames.get(i);
                
                JMenuBar jb = new JMenuBar();
                jif.setJMenuBar(jb);
                
                //jif.setPreferredSize(new Dimension(hp.getPreferredSize()));
                if (hidden.get(i))
                {
                    
                    visible_items.get(i).setVisible(true);
                    System.out.println("set component : "+i+" to hidden");
                    continue;
                }
                hp.setMenuBar(jb);
                total_maxwidth=Math.max(total_maxwidth, (int)hp.getMaxFrameDimension().getWidth());
                total_height+=(int)(hp.getMaxFrameDimension().getHeight());
                maxheight+=hp.getHeight();
                //set dimension 
                int jifheight=jif.getHeight();
                if (jifheight<=0)
                {
                    jifheight=hp.getPictureHeight();
                }
                int prefheight=(int)hp.getMaxFrameDimension().getHeight();
                int height=Math.min(jifheight, prefheight);
                /*
                System.out.println("set dims for : "+hp.getName());
                System.out.println("header max dim: "+ hp.header_pane.getMaximumSize());
                System.out.println("picture height: "+hp.getPictureHeight());
                System.out.println("max width: "+maxwidth);
                System.out.println("frame dim : "+hp.getMaxFrameDimension());
                System.out.println("picture dime dim : "+hp.getPictureDimension());
                */
                jif.setMaximumSize(new Dimension(max_pane_width, prefheight));
                jif.setMinimumSize(new Dimension(Math.min(hp.getPictureWidth(), maxwidth), 20));
                jif.setPreferredSize(new Dimension(max_pane_width, height));

                //System.out.println(hp.getName()+" pref dime : "+ jif.getPreferredSize()+"\n\n\n");
                jif.setVisible(true);
                //panel.add(new JScrollPane(jif));
                //layout2.addLayoutComponent(jif, gbc);
                //gbc.gridy++;
                
                panel.add(jif);
                
                visible_items.get(i).setVisible(false);
            }
            panel.setMaximumSize(new Dimension(total_maxwidth, total_height));
            //layout2.layoutContainer(panel);
            
            //System.out.println("FINAL DIVLOC: "+divloc);
            for (HeaderedPicturePane hpp: panes)
            {
                hpp.setDividerLocation(divloc);
            }
            
            if (_iframe!=null)
            {
                _iframe.setContentPane(new JScrollPane(panel));
                _iframe.updateUI();
            }
            if (_frame!=null)
            {
                _frame.setContentPane(new JScrollPane(panel));
                Dimension d = _frame.getSize();
                _frame.pack();
                _frame.setSize(d);
            }
            

            
            /*
            if (!is_setup)
            {
                setPreferredSize(panel.getPreferredSize());
            }
            else
            {
                Dimension d  = _component.getPreferredSize();
                int nwidth=Math.min((int)d.getWidth(), maxwidth);
                int nheight = Math.min((int)d.getHeight(), maxheight);
                setPreferredSize(new Dimension(nwidth, nheight));
            }
            
              */
        /*
            if (_iframe!=null)
            {
                _iframe.pack();
            }
            if (_frame!=null)
            {
               _frame.pack();
            }
          */  
            
            /*if (!is_setup && pref_dim!=null)
            {
                setPreferredSize(pref_dim);

            }
            */
            
            if (_component != null)
            {
            
                if (is_setup)
                {
                    _component.setPreferredSize(new Dimension(total_maxwidth, total_height));
                }
                
                _component.setMaximumSize(new Dimension(total_maxwidth, total_height));
            }
            /*
            
            System.out.println("UPDATE max dim: "+new Dimension(total_maxwidth, total_height));
            System.out.println("UPDATE cur size: "+_component.getSize());
            System.out.println("UPDATE cur pref size: "+_component.getPreferredSize());
            */
            


        }
                    
        public void setAutoSize()
        {
            /*
            _component.setMaximumSize(new Dimension(total_maxwidth, total_height));
            
            Dimension nd = new Dimension(
                Math.min((int)pref_dim.getWidth(), total_maxwidth),
                Math.min((int)pref_dim.getHeight(), total_height)
                );

            
            //System.out.println("UPDATE NEW dim: "+nd);
            _component.setSize(nd);
            */
        }
        
        JPanel panel = null; 
        Vector<JInternalFrame> frames = new Vector<JInternalFrame>();
        Vector<HeaderedPicturePane> panes  =new Vector<HeaderedPicturePane>();
        Vector<Boolean> hidden = new Vector<Boolean>();
        Vector<JMenuItem> visible_items = new Vector<JMenuItem>();


        public void setHidden(HeaderedPicturePane pane, boolean b)
        {
            for (int i=0; i<panes.size(); i++)
            {
                if (pane!=panes.get(i))
                    continue;

                System.out.println("WILL SET :"+pane.getName()+" to hidde: "+b);
                hidden.set(i,b);
                visible_items.get(i).setVisible(b);

                return;
            }
        }
        public void setHidden(JInternalFrame ji, boolean b)
        {
            for (int i=0; i<frames.size(); i++)
            {
                if (ji!=frames.get(i))
                {
                    continue;
                }
                hidden.set(i,b);
                visible_items.get(i).setVisible(b);

                return;
            }
        }

        JMenuBar jmb = new JMenuBar();
        JMenu jm = new JMenu("set visible");

        

        public AbstractMultiPicPlane(JFrame frame, JInternalFrame iframe)
        {
            //super();

            _iframe=iframe;
            _frame=frame;
            
            
            
            
            if (_iframe!=null)
            {
                _iframe.setJMenuBar(jmb);
                _component = _iframe;
            }
            if (_frame!=null)
            {
                _frame.setJMenuBar(jmb);
                _component = _frame;
            }

            
            iflistener= new IFListener(this);

            jmb.add(jm);

            if (_component != null)
            {
                _component.addComponentListener(ifchange_listener);
            }
            
            
        }


        /** removes all panes */
        public void clear()
        {
            panel = new JPanel();
            jm.removeAll();
            panes.clear();
            frames.clear();
            visible_items.clear();
            hidden.clear();
        }
        
        public void removePane(String name)
        {
            HeaderedPicturePane hpp = ObjectGetter.first(ObjectGetter.filter(panes, (HeaderedPicturePane hpp2) -> hpp2.name.equals(name)));
            if (hpp == null)
                return;
            
            int idx = panes.indexOf(hpp);
            if (idx < 0)
                return;
            
            
            JInternalFrame jif  = frames.get(idx);
            frames.remove(idx);
            jif.dispose();

            panes.remove(idx);
        }
        public void addInfo(HeaderedPicturePane hpp)
        {
            hpp.addPropertyChangeListener(this);
            JInternalFrame jif = new JInternalFrame(hpp.getName());
            
            JMenuBar jb = new JMenuBar();
            jif.setJMenuBar(jb);
            
            hpp.setMenuBar(jb);
            //jif.setMinimumSize(new Dimension(30,20));
            jif.setResizable(true);
            panes.add(hpp);
            hpp.addListener(this);
            hpp.data_pane.getViewport().addChangeListener(this);
            JMenuItem ji = new JMenuItem("show "+hpp.getName());
            
            //jif.setPreferredSize(new Dimension(400, 200));
            jm.add(ji);
            ji.setVisible(false);
            visible_items.add(ji);

            ji.addActionListener(this);
            frames.add(jif);
            hidden.add(false);
            jif.setContentPane(hpp);
            jif.setClosable(true);
            jif.setDefaultCloseOperation(jif.HIDE_ON_CLOSE);
            jif.setVisible(true);
            jif.setIconifiable(true);
            
            //jif.setClosable(true);
            jif.addInternalFrameListener(iflistener);
            jif.addComponentListener(ifchange_listener);
            jif.pack();
            
            //panel.add(new JScrollPane(jif));
            if (panel != null)
            {
                panel.add(jif);
            }
            

            
            //setPreferredSize(panel.getPreferredSize());
            
            

            //pack();
        }
        void setIFSizes()
        {
            Dimension d = _component.getSize();


            
            for (int i=0; i<frames.size(); i++)
            {
                JInternalFrame jif =frames.get(i);
                HeaderedPicturePane  pane = panes.get(i);

                //jif.setAutoscrolls(true);
                //System.out.println("\n\n will reset pref size to "+pane.getName()+" parent size: "+d+" jif size: "+jif.getPreferredSize()+" pane size: "+pane.getPictureDimension());
                double h = jif.getPreferredSize().getHeight();

                jif.setPreferredSize(new Dimension(-20+(int)d.getWidth(), (int)h));
               //System.out.println("new pref size: "+jif.getPreferredSize()+"\n\n\n");

            }
        }
        
        public void setPreferredSize(Dimension d)
        {
            //System.out.println("UPDATE set pref size ."+d);
            //System.out.println(ExceptionManager.logCallerStack());
            int nh = (int)d.getHeight();
            if (maxheight>0)
            {
                
                nh = Math.min(maxheight, nh);
                d = new Dimension((int)d.getWidth(), nh);
            }
            

            //System.out.println("mPP set preferred size: "+d+"  maxheight:"+maxheight);
            //_component.setPreferredSize(d);
            
            //resize all internal frames
            setIFSizes();
        }
}
