package lmu.utils.plotting;

import java.awt.Paint;

public interface DGraphics
{
    /** if name is null set default*/
    public void setFont(String name, int height);

    public void setSize(int width, int height);
    public void setColor(java.awt.Color c);
    public java.awt.Color getColor();
    public void drawString(String s, int x, int y);
    public int getFontHeight();
    public int getTextWidth(String text);
    public void drawLine(int startx, int starty, int endx, int endy);    
    public void fillRect(int x, int y, int width, int height);
    public void drawRect(int x, int y, int width, int height);
    public void dispose();
    
    public void setStroke(java.awt.Stroke stroke);

    public void setPaint(Paint paint);
}



