package lmu.utils.plotting;


import lmu.utils.*;
import java.beans.*;
import lmu.utils.ImageUtils.ImagePanel;
import java.awt.image.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import org.jdom.*;

public interface ZoomedMultiPicPlane extends MultiPicPlane
{
    public void setZoomedConverter(ZoomedCoordinateConverter zoom_converter);
    public ZoomedCoordinateConverter getZoomedConverter();
    public void removePane(String name);
    public RegionPicturePane createRegionPane(String name);
    public RegionPicturePane createRegionPane(String name, Object userObject);
    public RegionPicturePane addRegionPane(RegionPicturePane rpp);
    public DataPicturePane createDataPane(String name);
    public DataPicturePane createDataPane(String name, Object userObject);
    public DataPicturePane addDataPane(DataPicturePane dpp);

    public void update(boolean force);
    public Element getSerializedXML();
    public void init(Element e);
    public void reset(int nlength);
}
