
package lmu.utils.plotting;

import javax.swing.JInternalFrame;
import java.awt.image.BufferedImage;
import org.jdom.*;

public class ZoomedMultiPicPlaneIFrame extends JInternalFrame implements ZoomedMultiPicPlane
{
    
    AbstractZoomedMultiPicPlane zpp = null;
    public ZoomedMultiPicPlaneIFrame(int width)
    {
        super();
        zpp = new AbstractZoomedMultiPicPlane(this, null, width);
        
        

    }

    public ZoomedCoordinateConverter getZoomedConverter()
    {
        return zpp.getZoomedConverter();
    }

    public void reset(int nlength)
    {
        zpp.reset(nlength);

    }
    public void addInfo(HeaderedPicturePane hpp)
    {
        zpp.addInfo(hpp);
    }

    public void update()
    {
        zpp.update();
    }
    public void update(boolean force)
    {
        zpp.update(force);
    }
    public BufferedImage getCombinedImage()
    {
        return zpp.getCombinedImage();
    }

    public void setZoomedConverter(ZoomedCoordinateConverter zoom_converter)
    {
        zpp.setZoomedConverter(zoom_converter);
    }
    public RegionPicturePane createRegionPane(String name)
    {
        return zpp.createRegionPane(name);
    }
   
    public RegionPicturePane createRegionPane(String name, Object userObject)
    {
        return zpp.createRegionPane(name,userObject);
    }
    public DataPicturePane createDataPane(String name)
    {
        return zpp.createDataPane(name);
    }
    public DataPicturePane createDataPane(String name, Object userObject)
    {
        return zpp.createDataPane(name,userObject);
    }


    public void setPreferredSize(java.awt.Dimension prefSize)
    {
        super.setPreferredSize(prefSize);

        System.out.println("\n\n\nset pref size to : "+prefSize+"\n\n");
        zpp.setPreferredSize(prefSize);
    
    }

    public Element getSerializedXML()
    {
        return zpp.getSerializedXML();
    }
    public void init(Element e)
    {
        zpp.init(e);
    }


    public RegionPicturePane addRegionPane(RegionPicturePane rpp)
    {
        return zpp.addRegionPane(rpp);
    }
    public DataPicturePane addDataPane(DataPicturePane dpp)
    {
        return zpp.addDataPane(dpp);
    }
       

    public void setHidden(HeaderedPicturePane pane, boolean b)
    {
        zpp.setHidden(pane,b);
    }

    public void removePane(String name)
    {
        //not yet implemented setHidden(
    }
}
