#/bin/bash

BIOPERL_HOME="/home/users/pesch/lib/BioPerl-1.6.923/scripts/utilities/bp_sreformat.pl"

IN_FILE=$1
OUT_FILE=$2

if [ "$#" -ne 2 ]; then
    echo "Usage: $0 <fasta file> <out>"
    exit
fi

if [ ! -f $IN_FILE ]; then
  echo "$IN_FILE is no file";
  exit;
fi 

perl -X $BIOPERL_HOME -if fasta -i $IN_FILE -of msf -o $OUT_FILE --msa
